> ## Documentation Index
> Fetch the complete documentation index at: https://docs.affinda.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://docs.affinda.com/feedback

```json
{
  "path": "/api-reference/search-&-match--searching/get-search-result-of-specific-resume",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Get search result of specific resume

> This contains more detailed information about the matching score of the search criteria, or which search criteria is missing in this resume.
The `identifier` is the unique ID returned via the [/resume_search](#post-/resume_search) endpoint.



## OpenAPI

````yaml https://api.affinda.com/static/v2/api_spec.yaml post /v2/resume_search/details/{identifier}
openapi: 3.0.3
info:
  description: >-
    # Introduction

    Affinda uses the latest advancements in AI technology to rapidly process
    documents with better-than-human accuracy.

    This guide covers how to:

    * Extract structured data from a range of document types

    * Integrate our solutions into your platform

    * Manage users


    *Note: This API spec is for the deprecated v2 of the API, the v3
    documentation [can be found here](https://api.affinda.com/docs/v3)*


    > **Important: Use the correct API URL for your region.** Affinda is hosted
    across multiple instances. Make sure you are sending requests to the correct
    URL for your account:

    > | Instance | API Base URL |

    > |----------|-------------|

    > | **AUS / Global** | `https://api.affinda.com` |

    > | **US** | `https://api.us1.affinda.com` |

    > | **EU** | `https://api.eu1.affinda.com` |

    >

    > You can determine your instance from the URL you use to access the Affinda
    web app (e.g. `app.us1.affinda.com` means you are on the US instance). When
    using the "Try it" feature, select the matching region from the server
    dropdown.

    # Getting Started

    * Obtain an API key by [signing up for a
    free-trial](https://app.affinda.com/auth/register)

    * (Recommended) Download and install one of our client libraries:
      * [Python](https://github.com/affinda/affinda-python) : `pip install affinda`
      * [Javascript](https://github.com/affinda/affinda-typescript) : `npm install @affinda/affinda`
      * [.NET](https://github.com/affinda/affinda-dotnet): `dotnet add package Affinda.API`
      * [Java](https://github.com/affinda/affinda-java) - [maven repository](https://mvnrepository.com/artifact/com.affinda.api/affinda-api-client)

    * Without a client library, API requests via HTTP according to the API spec
    in this documentation
  version: v2
  title: Affinda API
  contact:
    email: contact@affinda.com
  license:
    name: MIT
    url: https://raw.githubusercontent.com/affinda/affinda-api-spec/master/LICENSE
  x-logo:
    url: https://api.affinda.com/static/documentation/affinda_logo.png
    backgroundColor: '#FFFFFF'
    altText: Affinda logo
servers:
  - url: https://{region}.affinda.com
    description: >-
      Select the correct server for your instance: api (AUS/Global), api.us1
      (US), or api.eu1 (EU).
    variables:
      region:
        default: api
        description: >-
          The instance region. Use 'api' for AUS/Global, 'api.us1' for US, or
          'api.eu1' for EU. You can find your region in the Affinda web app URL.
        enum:
          - api
          - api.eu1
          - api.us1
        x-ms-parameter-location: client
security:
  - ApiKeyAuth: []
tags:
  - name: Invoice Extractor
    description: >-
      Operations to perform on parsed invoices via the Affinda Invoice Extractor
      API or a client library
  - name: Resume Parser
    description: >-
      Operations to perform on parsed resumes via the Affinda Resume Parser API
      or a client library
  - name: Job Description Parser
    description: >-
      Operations to perform on job descriptions via the Affinda Job Description
      API or a client library
  - name: Search & Match - Indexing
    description: >
      Operations to create and manage indexes and to add new documents to these
      indexes via the Affinda Resume Parser API or a client library.


      Resumes and job descriptions must be explicitly added to an index, which
      then makes them searchable (see Search & Match – Searching).
  - name: Search & Match - Searching
    description: >-
      Operations to search through an index of documents via the Affinda Resume
      Parser API or a client library.
  - name: Search & Match - Embedding
    description: Operations to fetch and configure the embeddable search tool.
  - name: Resume Search
    description: >
      Operations to search parsed resumes via the Affinda Resume Parser API or a
      client library.


      Resumes must be explicitly added to an index, which then makes them
      searchable with the below endpoint.
  - name: Resume Redactor
    description: >-
      Operations to perform on redacted resumes via the Affinda Resume Parser
      API or a client library
  - name: Users
    description: >
      Operations to manage users that are part of an account.


      For example, you may want to implement different settings

      for different users in your platform.  You can use these endpoints to
      generate new user accounts, and the usage

      for these accounts will be deducted from your master account.


      If you would like these user accounts to be able to login at
      https://app.affinda.com/, they will need to

      go to https://app.affinda.com/ and reset their password using the email
      used to create their account.
  - name: Documents API
    description: Placeholder
  - name: Webhook API
    description: Manage webhook integrations with your apps.
paths:
  /v2/resume_search/details/{identifier}:
    post:
      tags:
        - Search & Match - Searching
      summary: Get search result of specific resume
      description: >-
        This contains more detailed information about the matching score of the
        search criteria, or which search criteria is missing in this resume.

        The `identifier` is the unique ID returned via the
        [/resume_search](#post-/resume_search) endpoint.
      operationId: getResumeSearchDetail
      parameters:
        - in: path
          required: true
          name: identifier
          description: Resume identifier
          schema:
            type: string
            example: ELglqBbT
      requestBody:
        description: Search parameters
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ResumeSearchParameters'
      responses:
        '200':
          description: Successfully retrieved detail search result.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResumeSearchDetail'
        '400':
          $ref: '#/components/responses/400Error'
        '401':
          $ref: '#/components/responses/401Error'
        default:
          $ref: '#/components/responses/DefaultError'
components:
  schemas:
    ResumeSearchParameters:
      type: object
      additionalProperties: false
      nullable: false
      required:
        - indices
      properties:
        indices:
          type: array
          example:
            - all-resumes
          items:
            type: string
        jobDescription:
          $ref: '#/components/schemas/Identifier'
          nullable: true
        resume:
          $ref: '#/components/schemas/Identifier'
          nullable: true
        jobTitles:
          type: array
          items:
            type: string
        jobTitlesCurrentOnly:
          type: boolean
          description: Search only through the canditate's current job
        jobTitlesRequired:
          type: boolean
        jobTitlesWeight:
          type: number
          minimum: 0
          maximum: 1
        yearsExperienceMin:
          type: integer
          minimum: 0
          nullable: true
          description: Minimum years of total work experience
        yearsExperienceMax:
          type: integer
          minimum: 0
          nullable: true
          description: Maximum years of total work experience
        yearsExperienceRequired:
          type: boolean
        yearsExperienceWeight:
          type: number
          minimum: 0
          maximum: 1
        locations:
          type: array
          description: Search by location name or by coordinates
          items:
            $ref: '#/components/schemas/ResumeSearchParametersLocation'
        locationsWeight:
          type: number
          minimum: 0
          maximum: 1
        locationsRequired:
          type: boolean
        skills:
          type: array
          items:
            $ref: '#/components/schemas/ResumeSearchParametersSkill'
        skillsWeight:
          type: number
          minimum: 0
          maximum: 1
        languages:
          type: array
          items:
            $ref: '#/components/schemas/ResumeSearchParametersSkill'
        languagesWeight:
          type: number
          minimum: 0
          maximum: 1
        institutions:
          type: array
          items:
            type: string
        institutionsRequired:
          type: boolean
        degrees:
          type: array
          items:
            type: string
        degreesRequired:
          type: boolean
        highestDegreeTypes:
          type: array
          uniqueItems: true
          items:
            $ref: '#/components/schemas/EducationLevel'
        highestDegreeTypesRequired:
          type: boolean
        isCurrentStudent:
          type: boolean
          description: Search for student canditates
        isCurrentStudentRequired:
          type: boolean
        isRecentGraduate:
          type: boolean
          description: Search for canditates that graduated less than a year ago
        isRecentGraduateRequired:
          type: boolean
        educationWeight:
          type: number
          minimum: 0
          maximum: 1
        searchExpression:
          type: string
          nullable: true
          description: Search through resumes' raw text
        searchExpressionRequired:
          type: boolean
        searchExpressionWeight:
          type: number
          minimum: 0
          maximum: 1
        socCodes:
          type: array
          items:
            type: integer
            description: >-
              A list of occupation group IDs, more details can be found in the
              <occupation_groups> endpoint
            minimum: 1
            maximum: 9999
        socCodesWeight:
          type: number
          minimum: 0
          maximum: 1
        socCodesRequired:
          type: boolean
        managementLevel:
          $ref: '#/components/schemas/ManagementLevel'
        managementLevelRequired:
          type: boolean
        managementLevelWeight:
          type: number
          minimum: 0
          maximum: 1
        customData:
          type: array
          items:
            $ref: '#/components/schemas/ResumeSearchParametersCustomData'
    ResumeSearchDetail:
      type: object
      properties:
        jobTitle:
          type: object
          nullable: false
          properties:
            missing:
              type: array
              items:
                type: string
            value:
              type: array
              items:
                type: object
                properties:
                  name:
                    type: string
                    nullable: true
                    example: Javascript developer
                  startDate:
                    type: string
                    nullable: true
                    example: '2021-06-16'
                  endDate:
                    type: string
                    nullable: true
                    example: '2022-05-01'
                  companyName:
                    type: string
                    nullable: true
                    example: Affinda
                  match:
                    type: boolean
                    example: true
        location:
          type: object
          nullable: false
          properties:
            missing:
              type: array
              items:
                $ref: '#/components/schemas/ResumeSearchParametersLocation'
            value:
              type: object
              nullable: true
              allOf:
                - $ref: '#/components/schemas/Location'
                - type: object
                  properties:
                    match:
                      type: boolean
                      example: true
        education:
          type: object
          nullable: false
          properties:
            missing:
              type: object
              properties:
                degrees:
                  type: array
                  items:
                    type: string
                highestDegreeTypes:
                  type: array
                  items:
                    type: string
                institutions:
                  type: array
                  items:
                    type: string
                currentStudent:
                  type: boolean
                recentGraduate:
                  type: boolean
            value:
              type: array
              items:
                type: object
                allOf:
                  - $ref: '#/components/schemas/Education'
                  - type: object
                    properties:
                      match:
                        type: boolean
                        example: true
        skills:
          type: object
          nullable: false
          properties:
            missing:
              type: array
              items:
                $ref: '#/components/schemas/ResumeSearchParametersSkill'
            value:
              type: array
              items:
                type: object
                allOf:
                  - $ref: '#/components/schemas/ResumeSkill'
                  - type: object
                    properties:
                      match:
                        type: boolean
                        example: true
        experience:
          type: object
          properties:
            years:
              type: integer
              nullable: true
              minimum: 0
            match:
              type: boolean
              example: true
        occupationGroup:
          type: object
          nullable: false
          properties:
            missing:
              type: array
              items:
                type: integer
            value:
              type: array
              items:
                $ref: '#/components/schemas/OccupationGroupSearchResult'
        languages:
          type: object
          nullable: false
          properties:
            missing:
              type: array
              items:
                $ref: '#/components/schemas/ResumeSearchParametersSkill'
            value:
              type: array
              items:
                type: object
                allOf:
                  - $ref: '#/components/schemas/ResumeSkill'
                  - type: object
                    properties:
                      match:
                        type: boolean
                        example: true
        managementLevel:
          type: object
          nullable: true
          properties:
            level:
              $ref: '#/components/schemas/ManagementLevel'
            match:
              type: boolean
              example: true
        searchExpression:
          type: object
          properties:
            missing:
              type: array
              items:
                type: string
            value:
              type: array
              items:
                type: string
    Identifier:
      type: string
      description: A random string that uniquely identify the resource.
    ResumeSearchParametersLocation:
      type: object
      properties:
        name:
          type: string
          default: ''
        coordinates:
          type: object
          nullable: true
          properties:
            latitude:
              type: number
              nullable: true
            longitude:
              type: number
              nullable: true
        distance:
          type: integer
          minimum: 1
          default: 100
        unit:
          type: string
          enum:
            - km
            - mi
          default: km
          x-ms-enum:
            name: searchLocationUnit
    ResumeSearchParametersSkill:
      type: object
      properties:
        name:
          type: string
        required:
          type: boolean
    EducationLevel:
      type: string
      example: bachelors
      nullable: true
      enum:
        - school
        - certificate
        - bachelors
        - masters
        - doctoral
      x-ms-enum:
        name: educationLevel
    ManagementLevel:
      type: string
      example: Low
      nullable: true
      enum:
        - None
        - Low
        - Mid
        - Upper
      x-ms-enum:
        name: managementLevel
    ResumeSearchParametersCustomData:
      type: object
      allOf:
        - $ref: '#/components/schemas/SearchParametersCustomData'
    Location:
      type: object
      nullable: true
      required:
        - rawInput
      properties:
        formatted:
          type: string
          nullable: true
          readOnly: true
          example: Blacksburg, VA, USA
        postalCode:
          type: string
          readOnly: true
          example: '3124'
          nullable: true
        state:
          type: string
          readOnly: true
          nullable: true
          example: Virginia
        stateCode:
          type: string
          nullable: true
          readOnly: true
          example: TX
        country:
          type: string
          readOnly: true
          nullable: true
          example: United States
        countryCode:
          type: string
          nullable: true
          readOnly: true
          example: US
          description: Two letter country code (ISO 3166-1 alpha-2)
        rawInput:
          type: string
          example: Blacksburg, VA
        streetNumber:
          type: string
          nullable: true
          readOnly: true
          example: '1'
        street:
          type: string
          nullable: true
          readOnly: true
          example: Smith St
        apartmentNumber:
          type: string
          nullable: true
          readOnly: true
          example: '12'
        city:
          type: string
          nullable: true
          readOnly: true
          example: Blacksburg
        latitude:
          type: number
          nullable: true
          readOnly: true
          example: '67.0124'
        longitude:
          type: number
          nullable: true
          readOnly: true
          example: '67.0124'
        poBox:
          type: string
          nullable: true
          readOnly: true
          example: P.O. Box 123
    Education:
      type: object
      properties:
        id:
          type: integer
          nullable: false
          minimum: 1
        organization:
          type: string
          nullable: true
          example: Virginia Polytechnic Institute and State University (Virginia Tech)
        accreditation:
          $ref: '#/components/schemas/Accreditation'
        grade:
          type: object
          additionalProperties: true
          nullable: true
          properties:
            raw:
              type: string
              example: 'GPA : 3.35'
            metric:
              type: string
              example: GPA
              nullable: true
            value:
              type: string
              example: '3.35'
        location:
          $ref: '#/components/schemas/Location'
        dates:
          type: object
          nullable: true
          additionalProperties: false
          properties:
            completionDate:
              type: string
              format: date
              example: '2021-05-01'
            isCurrent:
              type: boolean
            startDate:
              type: string
              format: date
              nullable: true
              example: '2019-05-01'
            rawText:
              type: string
              example: May-Aug '18
    ResumeSkill:
      type: object
      properties:
        name:
          type: string
          nullable: true
        lastUsed:
          type: string
          nullable: true
          example: '2022-05-16'
        numberOfMonths:
          type: integer
          nullable: true
          minimum: 0
        type:
          type: string
          nullable: true
        sources:
          type: array
          items:
            type: object
            properties:
              section:
                type: string
                enum:
                  - Achievements
                  - AdditionalInformation
                  - Education
                  - Extracurriculars
                  - Organisations
                  - Other
                  - PersonalDetails
                  - Projects
                  - Publications
                  - Referees
                  - Skills
                  - Summary
                  - Training
                  - WorkExperience
                  - NotPopulated
                  - Header
                  - Footer
                  - Skills/Interests/Languages
                  - Training/Certifications
                  - Extracurriculars/Leadership
              position:
                type: integer
                nullable: true
                minimum: 0
    OccupationGroupSearchResult:
      type: object
      additionalProperties: false
      required:
        - code
        - name
        - children
      properties:
        match:
          type: boolean
          example: true
        code:
          type: integer
        name:
          type: string
        children:
          type: array
          items:
            $ref: '#/components/schemas/OccupationGroup'
        parents:
          type: array
          items:
            $ref: '#/components/schemas/OccupationGroup'
    RequestError:
      type: object
      additionalProperties: false
      required:
        - type
        - errors
      properties:
        type:
          type: string
          example: validation_error
        errors:
          type: array
          items:
            type: object
            required:
              - attr
              - code
              - detail
            properties:
              attr:
                type: string
                nullable: true
                example: non_field_errors
              code:
                type: string
                example: unique
              detail:
                type: string
                example: This index name has already been used
    SearchParametersCustomData:
      type: object
      required:
        - filterType
        - query
      properties:
        filterType:
          type: string
          enum:
            - equals
            - range
          example: equals
          description: >-
            Data points of "text" type support only "equals" filterType, others
            support both "equals" and "range"
        dataPoint:
          type: string
          nullable: true
          example: isAvailable
          description: The data point's slug, used for portal v2 (deprecated)
          deprecated: true
        field:
          type: string
          nullable: true
          example: isAvailable
          description: The field's slug
        query:
          type: object
          example:
            value: true
          description: >-
            "equals" searches require the "value" key inside the query, and
            "range" searches require at least one of "gte" (greater than or
            equal) and "lte" (less than or equal)
        required:
          type: boolean
        weight:
          type: number
          minimum: 0
          maximum: 1
    Accreditation:
      type: object
      nullable: true
      additionalProperties: false
      properties:
        education:
          type: string
          example: Bachelor of Science
        inputStr:
          type: string
          readOnly: true
          example: Bachelor of Science, Mechanical Engineering, expected
        matchStr:
          type: string
          nullable: true
          readOnly: true
          example: Bachelor of Science
        educationLevel:
          type: string
          nullable: true
          readOnly: true
          example: bachelors
    OccupationGroup:
      type: object
      additionalProperties: false
      required:
        - code
        - name
        - children
      properties:
        code:
          type: integer
          minimum: 0
        name:
          type: string
        children:
          type: array
          items:
            $ref: '#/components/schemas/OccupationGroup'
        parents:
          type: array
          items:
            $ref: '#/components/schemas/OccupationGroup'
  responses:
    400Error:
      description: >-
        Bad request. If it is a validation error will contain a list of each
        invalid field
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/RequestError'
      x-ms-error-response: true
    401Error:
      description: Authorisation error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/RequestError'
      x-ms-error-response: true
    DefaultError:
      description: UnexpectedError
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/RequestError'
      x-ms-error-response: true
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: bearer
      description: >-
        Basic authentication using an API key, e.g. `{Authorization: Bearer
        75z0bb4fbdf97b7e4111ff6c0015471094155f91}`.

        You can find your API key within the Settings page of the [Affinda web
        app](https://app.affinda.com/). You can obtain an API key by [signing up
        for a free trial](https://app.affinda.com/auth/register).

````